File Delete
DELETE /v1/file/{file_id}
- This endpoint allows you to delete a previously uploaded file using its unique ID.
Auth and Rate Limits
- Authentication is required for this endpoint. You must include a valid API key in the
Authorizationheader. - This API call is rate limited to
100 requests per minute.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
file_id | string | The unique identifier of the file to delete. |
Response
- The API will respond with a JSON object confirming that the file has been deleted.
{
"status": true,
"code": 200,
"message": "File deleted successfully",
"data": {
"id": "926e0e60-3638-4969-b455-4f7d43952571",
"object": "file",
"deleted": true
}
}
Example request
curl -X DELETE https://api.deepfaic.com/v1/file/926e0e60-3638-4969-b455-4f7d43952571 \
-H "Authorization: Bearer <api_key>"